@import 'settings/mixins';
@import 'settings/variables';

@import 'template/header';
@import 'template/main';
@import 'template/visit';
@import 'template/form_search';
@import 'template/form_login';
@import 'template/form_visit';
@import 'template/footer';
@import 'template/popups';
@import 'template/loader';

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  font-family: 'Roboto', sans-serif;
  background: var(--base-background);
  font-size: var(--base-font-size);
  line-height: var(--base-line-height);
  color: var(--main-color-text);
  height: 100%;
}

input::placeholder {
  color: rgb(131, 159, 160);
}

.wrapper {
  @include flex-center();
  justify-content: space-between;
  flex-direction: column;
  min-width: var(--sm-min-content);
  min-height: 100%;
}

.container {
  min-width: var(--min-content);
  max-width: var(--max-content);
  width: 100%;
  padding: 0 var(--container-padding);
  margin: 0 auto;
}

.header,
.main,
.aside,
.footer {
  width: 100%;
  @include flex-center();
}

.shadow {
  box-shadow: 2px 3px 6px 0px rgb(0 48 70 / 87%);
}

.show {
  opacity: 1 !important;
  visibility: visible !important;
  transition: all 0.3s ease !important;
}

.preshow {
  display: inline-flex !important;
}

.hidden {
  display: none !important;
}

.prehidden {
  opacity: 0 !important;
  visibility: hidden !important;
  transition: all 0.3s ease !important;
}

.list-reset {
  list-style: none;
  margin-block-start: 0;
  margin-block-end: 0;
  margin-inline-start: 0;
  margin-inline-end: 0;
  padding-inline-start: 0;
}

.btn {
  text-transform: uppercase;
  @include adaptiv-value('font-size', 14, 12, 1);
  line-height: 1;

  @include adaptiv-value('padding-top', 10, 6, 1);
  @include adaptiv-value('padding-bottom', 10, 6, 1);
  @include adaptiv-value('padding-left', 30, 20, 1);
  @include adaptiv-value('padding-right', 30, 20, 1);
  cursor: pointer;

  color: #333;
  background: #d2d228;
  border: none;
  outline: none;

  transition: 0.3s ease;

  &:hover {
    background: #76d735;
  }
}

@media screen and (min-width: $md-min-content) and (max-width: $md-max-content) {
}

@media screen and (min-width: $lg-min-content) {
}
